import pure_chacha20flt  # Ensure this import is correct

def test_hchacha20_vector():
    # This test vector comes from https://datatracker.ietf.org/doc/html/draft-arciszewski-xchacha-03.
    key = bytes.fromhex(
        "000102030405060708090a0b0c0d0e0f101112131415161718191a1b1c1d1e1f"
    )
    input_bytes = bytes.fromhex("000000090000004a0000000031415927")
    expected = bytes.fromhex(
        "82413b4227b27bfed30e42508a877d73a0f9e4d58a74a853c12ec41326d3ecdc"
    )
    print('Expected:', expected)
    found = pure_chacha20flt.hchacha20(key, input_bytes)
    print('Found:', found)
    assert expected == found, f"Expected {expected}, but found {found}"

# Call the test function
test_hchacha20_vector()
